## class OSGUTIL_EXPORT osgUtil::RenderStageLighting

> RenderBin base class

## Inheritance:

### Public Fields

AttrMatrixList _attrList

### Public Methods

RenderStageLighting()
virtual osg::Object* cloneType() const
virtual osg::Object* clone(const osg::CopyOp&) const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual void reset()
virtual void addPositionedAttribute(osg::RefMatrix* matrix, const osg::StateAttribute* attr)
virtual void draw(osg::State& state, RenderLeaf*& previous)

### Public Members

typedef std::pair< const osg::StateAttribute*, osg::ref_ptr<osg::RefMatrix> > AttrMatrixPair
typedef std::vector< AttrMatrixPair > AttrMatrixList

### Protected Methods

virtual ~RenderStageLighting()

## Documentation

> RenderBin base class

`RenderStageLighting()`

`virtual osg::Object* cloneType() const`

`virtual osg::Object* clone(const osg::CopyOp&) const`

`virtual bool isSameKindAs(const osg::Object* obj) const`

`virtual const char* libraryName() const`

`virtual const char* className() const`

`virtual void reset()`

`typedef std::pair< const osg::StateAttribute*, osg::ref_ptr<osg::RefMatrix> > AttrMatrixPair`

`typedef std::vector< AttrMatrixPair > AttrMatrixList`

`virtual void addPositionedAttribute(osg::RefMatrix* matrix, const osg::StateAttribute* attr)`

`virtual void draw(osg::State& state, RenderLeaf*& previous)`

`AttrMatrixList _attrList`

`virtual ~RenderStageLighting()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.